## plib 1.8.5

=== debian/changelog ===
plib (1.8.5-15) unstable; urgency=medium

  * As agreed at DebConf25, maintain games library in Games Team.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 11:23:36 +0200

plib (1.8.5-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063260

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:53:36 +0000

plib (1.8.5-14) unstable; urgency=medium

  [ Debian Janitor ]
  * [ff934bf] Apply multi-arch hints. + libplib1: Add Multi-Arch: same.

  [ Anton Gladky ]
  * [fc9a5b2] Set Standards-Version to 4.6.1
  * [25257b5] Use secure URI in Homepage field.
  * [c340a73] Drop explicit dependency on freeglut3-dev. (Closes: #1023587)
  * Close all historical bugs (over 20 years old!).
    Please reopen them, if reproducible. (Closes: #144534, #161040).

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Nov 2022 20:00:33 +0100

plib (1.8.5-13) unstable; urgency=medium

  * [062aa40] Simplify patch, for the previous CVE

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Oct 2021 15:15:11 +0200

plib (1.8.5-12) unstable; urgency=medium

  * [312f625] Update patch for previous CVE

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Oct 2021 10:18:16 +0200

plib (1.8.5-11) unstable; urgency=medium

  * Improve allocation-patch introduced in previous upload.
    It should fix autopkgtest-failures on arm64 and ppc64el.

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Oct 2021 20:16:46 +0200

plib (1.8.5-10) unstable; urgency=medium

  * [6a45ca2] Add .gitlab-ci.yml
  * [7284a82] Add autopkgtests
  * [820a8f6] Prevent integer overflow in ssgLoadTGA() function. CVE-2021-38714
              (Closes: #992973)
  * [b3dfe58] Trim trailing whitespace.
  * [53ad3b7] Update watch file format version to 4.
  * [11591a3] Avoid explicitly specifying -Wl,--as-needed linker flag.
  * [ee5f26d] Take the package
  * [d84e16c] Set compat-level 13. Standards-version: 4.6.0
  * [fd16cb9] Add not-installed (for .la-files)

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Oct 2021 13:38:47 +0200

plib (1.8.5-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Replace obsolete Priority: extra with Priority: optional.
    + Add Vcs-* fields to use git packaging repo on Debian Salsa GitLab.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 16:28:49 -0400

plib (1.8.5-8) unstable; urgency=medium

  * QA upload.
  * Created repository on alioth --> Point VCS-* fields in d/control toward it.
  * Bump compat level to 10
  * Refactor d/copyright using the maschine-readable d/copyright format.
  * Set d/source/format to 3.0 (quilt)
  * Refresh patch 04_CVE-2011-4620.diff
  * Rewrite d/rules to utilize short debhelper format and fix *.install to
    enable Multi-Arch installation.
  * Remove ancient Conflict/Replace from d/control
  * Enable hardening
  * Applying wrap-and-sort
  * Fix two spelling errors (new patch 06_spelling_errors.diff)
  * Fix "jsJoystick::open() breaks system calibration on Linux" with the patch
    from  the BTS. Thanks to Florent Rougon for providing it. (Closes: #787464)
  * Bump S-V to 4.0.0 -- no changes necessary.

 -- Tobias Frost <tobi@debian.org>  Mon, 24 Jul 2017 21:24:48 +0200

plib (1.8.5-7) unstable; urgency=medium

  * Enable hardened build flags

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 08 Jan 2014 18:55:31 +0100

plib (1.8.5-6) unstable; urgency=high

  * QA upload.
  * Apply patch to fix CVE-2012-4552 by Hans de Goede (Closes: #694810).

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 05 Dec 2012 17:36:58 +0100

plib (1.8.5-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild source to have -X .la (Closes: #656261).

 -- Luk Claes <luk@debian.org>  Wed, 18 Jan 2012 00:30:12 +0100

plib (1.8.5-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use vsnprintf to fix buffer overflow CVE-2011-4620 (Closes: #654785).
  * Don't install .la file anymore (Closes: #633178).

 -- Luk Claes <luk@debian.org>  Sun, 15 Jan 2012 20:13:07 +0100

plib (1.8.5-5) unstable; urgency=low

  * Fix FTBFS on hurd. Thanks to Pino Toscano <pino@kde.org>.
    Closes: #558790.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 14 Dec 2009 22:21:38 +0000

plib (1.8.5-4) unstable; urgency=low

  * Merge changes to unstable.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Tue, 12 May 2009 11:39:47 +0100

plib (1.8.5-3) experimental; urgency=low

  * Stop replacing ltmain.sh. Closes: #527506.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 09 May 2009 19:00:25 +0100

plib (1.8.5-2) experimental; urgency=low

  * Add 'Provides: plib1.8.4-dev' to libplib-dev.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 24 Feb 2009 13:38:02 +0000

plib (1.8.5-1) experimental; urgency=low

  * New upstream release. Closes: #475354.
  * debian/control
    - Update maintainer email address.
    - Rename binary packages.
    - Remove obsolote Conflicts/Replaces, and add new ones.
    - Fix Vcs-* entries.
  * debian/patches
    - build_shared_libs - Update soname.
    - misc_fixes - Refresh
  * Update compat version to 7 and upgrade debhelper build-depends.
  * Convert copyright to machine readable format.
  * Fix watch file.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 22 Feb 2009 12:31:31 +0000

plib (1.8.4-10) unstable; urgency=low

  * Bump shlibs version to 1.8.4-9. Closes: #487367.
  * Correct dh_* rules order.
  * Update Vcs entries in debian/control.
  * Update Standards-Version to 3.8.0.
    - Support parallel=N in DEB_BUILD_OPTIONS.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sat, 05 Jul 2008 12:39:29 +0100

plib (1.8.4-9) unstable; urgency=low

  * New Maintainer. Closes: #475428
  * Add games team as uploader.
  * Add build_shared_libs patch
   - Build shared libs properly. Closes: #475331
  * Add remove_pthread_link patch
   - Remove unneeded linking with pthread
  * Use fixed ltmain.sh in build
  * Overhaul packaging. Closes: #475356
   - Correct debian/control

