=== debian/tests/control ===
Tests: CVE-2021-38714
Depends: libplib-dev, build-essential
Restrictions: allow-stderr
